/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Murl Engine Lua Addon API", "index.html", [
    [ "General", "index.html#LuaGeneral", [
      [ "Standard Libraries", "index.html#LuaStandardLibraries", null ],
      [ "Murl Iterators", "index.html#LuaMurlIterators", null ]
    ] ],
    [ "Native values and types", "index.html#LuaNativeTypes", [
      [ "Number", "index.html#LuaNativeNumber", null ],
      [ "Integer", "index.html#LuaNativeInteger", null ],
      [ "Char", "index.html#LuaNativeChar", null ],
      [ "Boolean", "index.html#LuaNativeBoolean", null ],
      [ "String", "index.html#LuaNativeString", null ],
      [ "Nil", "index.html#LuaNativeNil", null ],
      [ "Table", "index.html#LuaNativeTable", null ]
    ] ],
    [ "Murl", "_lua_murl.html", "_lua_murl" ]
  ] ]
];

var NAVTREEINDEX =
[
"_lua_murl.html",
"_lua_murl_array_double.html#LuaMurlArrayDoubleSetSInt32indexDataTypeitemSInt32count",
"_lua_murl_array_graph_i_tracker_result_const.html#LuaMurlArrayGraphITrackerResultConstMetaLuaArraySInt32index",
"_lua_murl_array_i_game_controller_mapping_axis_mapping.html#LuaMurlArrayIGameControllerMappingAxisMappingSwapSInt32index1SInt32index2",
"_lua_murl_array_s_int16.html#LuaMurlArraySInt16Add",
"_lua_murl_array_shared_pointer_net_i_socket.html#LuaMurlArraySharedPointerNetISocketGetByteSize",
"_lua_murl_array_u_int64.html#LuaMurlArrayUInt64Methods",
"_lua_murl_color.html#LuaMurlColorToUInt32",
"_lua_murl_graph_i_animation_time_controller.html#LuaMurlGraphIAnimationTimeControllerGetRotationBlendDirection",
"_lua_murl_graph_i_button.html#LuaMurlGraphIButtonGetBorderY",
"_lua_murl_graph_i_collider.html",
"_lua_murl_graph_i_float_vector4_uniform.html#LuaMurlGraphIFloatVector4UniformGetUniformInterface",
"_lua_murl_graph_i_generic_node_target_graph_i_bone_state.html#LuaMurlGraphIGenericNodeTargetGraphIBoneStateSetNodeIdStringnodeIdUInt32index",
"_lua_murl_graph_i_generic_node_target_graph_i_constant_buffer_parameter.html#LuaMurlGraphIGenericNodeTargetGraphIConstantBufferParameterIsInitialized",
"_lua_murl_graph_i_generic_node_target_graph_i_generic_parameter_group.html#LuaMurlGraphIGenericNodeTargetGraphIGenericParameterGroupGetMaxNumberOfNodes",
"_lua_murl_graph_i_generic_node_target_graph_i_light_transform.html#LuaMurlGraphIGenericNodeTargetGraphILightTransformSetNodeIdStringnodeIdUInt32index",
"_lua_murl_graph_i_generic_node_target_graph_i_plane_geometry.html#LuaMurlGraphIGenericNodeTargetGraphIPlaneGeometryIsInitialized",
"_lua_murl_graph_i_generic_node_target_graph_i_shadow_camera.html#LuaMurlGraphIGenericNodeTargetGraphIShadowCameraGetMaxNumberOfNodes",
"_lua_murl_graph_i_generic_node_target_graph_i_texture_state.html#LuaMurlGraphIGenericNodeTargetGraphITextureStateSetNodeIdStringnodeIdUInt32index",
"_lua_murl_graph_i_generic_resource_target.html#LuaMurlGraphIGenericResourceTargetTable",
"_lua_murl_graph_i_hinge_joint.html#LuaMurlGraphIHingeJointGetJointInterface",
"_lua_murl_graph_i_material.html#LuaMurlGraphIMaterialSetBlendEquationIEnumsBlendEquationcolorEquationIEnumsBlendEquationalphaEquation",
"_lua_murl_graph_i_plane_geometry.html#LuaMurlGraphIPlaneGeometrySetTexCoordX2Realx2UInt32index",
"_lua_murl_graph_i_shader_parameters.html#LuaMurlGraphIShaderParametersGetNodeInterface",
"_lua_murl_graph_i_texture.html#LuaMurlGraphITextureIsMipMappingEnabled",
"_lua_murl_graph_i_uniform_container.html#LuaMurlGraphIUniformContainerGetSInt32Vector4UniformUInt32index",
"_lua_murl_i_app_configuration.html#LuaMurlIAppConfigurationHasAutoRotationActiveChangedChangeInspectorinspector",
"_lua_murl_i_audio_stream.html#LuaMurlIAudioStreamClone",
"_lua_murl_i_enums.html#LuaMurlIEnumsGetAluOperationEnum",
"_lua_murl_i_enums_debug_group.html#LuaMurlIEnumsDebugOutputFunctionItem",
"_lua_murl_i_game_controller_mapping_axis_mapping.html#LuaMurlIGameControllerMappingAxisMappingTable",
"_lua_murl_i_preferences_control.html#LuaMurlIPreferencesControlSetValueStringkeyStringvalue",
"_lua_murl_index_base_float_array_float_std_hash_float.html#LuaMurlIndexBaseFloatArrayFloatStdHashFloatGetCount",
"_lua_murl_index_base_s_int32_array_s_int32_std_hash_s_int32.html#LuaMurlIndexBaseSInt32ArraySInt32StdHashSInt32Top",
"_lua_murl_index_base_u_int32_array_u_int32_std_hash_u_int32.html#LuaMurlIndexBaseUInt32ArrayUInt32StdHashUInt32InsertSInt32indexKeyTypekeyUInt32hash",
"_lua_murl_index_u_int16.html#LuaMurlIndexUInt16Inherited",
"_lua_murl_input_i_touch_area.html#LuaMurlInputITouchAreaSetOutCoord2Realx2Realy2",
"_lua_murl_logic_animation_key_math_vector.html#LuaMurlLogicAnimationKeyMathVectorMethods",
"_lua_murl_logic_animation_u_int32.html#LuaMurlLogicAnimationUInt32EmptyKeys",
"_lua_murl_logic_graph_node_t_graph_i_anchor_state_copy.html#LuaMurlLogicGraphNodeTGraphIAnchorStateCopyGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_bone.html#LuaMurlLogicGraphNodeTGraphIBoneGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_camera.html#LuaMurlLogicGraphNodeTGraphICameraGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_clip_sequencer.html#LuaMurlLogicGraphNodeTGraphIClipSequencerGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_constant_buffer_parameter_group.html#LuaMurlLogicGraphNodeTGraphIConstantBufferParameterGroupGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_culler.html#LuaMurlLogicGraphNodeTGraphICullerGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_fixed_program.html#LuaMurlLogicGraphNodeTGraphIFixedProgramGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_generic_parameters.html#LuaMurlLogicGraphNodeTGraphIGenericParametersGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_island_state.html#LuaMurlLogicGraphNodeTGraphIIslandStateGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_light_state.html#LuaMurlLogicGraphNodeTGraphILightStateGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_listener_state_copy.html#LuaMurlLogicGraphNodeTGraphIListenerStateCopyGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_namespace.html#LuaMurlLogicGraphNodeTGraphINamespaceGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_parameters_state.html#LuaMurlLogicGraphNodeTGraphIParametersStateGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_program.html#LuaMurlLogicGraphNodeTGraphIProgramGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_resource_mesh_geometry.html#LuaMurlLogicGraphNodeTGraphIResourceMeshGeometryGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_shader_parameter_group.html#LuaMurlLogicGraphNodeTGraphIShaderParameterGroupGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_spring.html#LuaMurlLogicGraphNodeTGraphISpringGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_surface_state_copy.html#LuaMurlLogicGraphNodeTGraphISurfaceStateCopyGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_texture.html#LuaMurlLogicGraphNodeTGraphITextureGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_timeline_state_copy.html#LuaMurlLogicGraphNodeTGraphITimelineStateCopyGetTimeControllerUInt32index",
"_lua_murl_logic_graph_node_t_graph_i_view.html#LuaMurlLogicGraphNodeTGraphIViewGetTimeControllerUInt32index",
"_lua_murl_logic_i_device_handler.html#LuaMurlLogicIDeviceHandlerMethods",
"_lua_murl_logic_i_stepable.html",
"_lua_murl_map_base_string_u_int32_array_u_int32_std_hash_string.html#LuaMurlMapBaseStringUInt32ArrayUInt32StdHashStringIsIndexValidSInt32index",
"_lua_murl_math_box.html#LuaMurlMathBoxIncludeVectorDataTypepoint",
"_lua_murl_math_min_max.html#LuaMurlMathMinMaxnewDataTypeminDataTypemax",
"_lua_murl_mutable_data.html#LuaMurlMutableDataInherited",
"_lua_murl_queue_double.html#LuaMurlQueueDoubleClear",
"_lua_murl_queue_string.html#LuaMurlQueueStringnewQueueother",
"_lua_murl_resource_i_font.html#LuaMurlResourceIFontGetOffsetY",
"_lua_murl_resource_i_shader.html#LuaMurlResourceIShaderGetTextureNameUInt32textureIndex",
"_lua_murl_shared_array_i_game_controller_mapping_axis_raw_data.html#LuaMurlSharedArrayIGameControllerMappingAxisRawDataFindLastDataTypeitem",
"_lua_murl_shared_pointer_i_video_scaler_const.html#LuaMurlSharedPointerIVideoScalerConst_Get",
"_lua_murl_shared_pointer_logic_i_processor.html#LuaMurlSharedPointerLogicIProcessor_SwapSharedPointerDataTypesharedPointer",
"_lua_murl_string.html#LuaMurlStringSetUTF32CharsUInt32Arrayutf32Array",
"_lua_murl_util.html#LuaMurlUtilStringToColorStringinputStringColorvalueColorStringFormatformat"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';